Unit tests sometimes fail because of stale pyc files

Bug #1368661 reported by Sean Dague on 2014-09-12
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Glance Client
Undecided
Shu Muto
Gnocchi
Invalid
Undecided
Hardik Parekh
Ironic
Fix Released
Medium
Lucas Alvares Gomes
Magnum
Fix Released
Medium
Eli Qiao
Mistral
Undecided
Hardik Parekh
Monasca
Fix Committed
Undecided
Haiwei Xu
OpenStack Compute (nova)
High
Sean Dague
Icehouse
Undecided
Unassigned
OpenStack DBaaS (Trove)
High
yuanying
OpenStack Object Storage (swift)
Undecided
Sai Kiran
Python client library for Sahara
Fix Released
Low
Shu Muto
Python client library for Zaqar
Undecided
Md Nadeem
Solum
Undecided
sonu
congress
Undecided
Anusha
oslo.cache
Undecided
sonu
oslo.concurrency
Undecided
sonu
oslo.service
Undecided
sonu
python-cinderclient
Undecided
Shu Muto
python-congressclient
Undecided
Anusha
python-cueclient
Undecided
sonu
python-heatclient
Fix Committed
Medium
Shu Muto
python-keystoneclient
Low
Shu Muto
python-magnumclient
Medium
yuanying
python-mistralclient
Undecided
Hardik Parekh
python-neutronclient
Medium
Shu Muto
python-solumclient
Undecided
sonu
python-swiftclient
Undecided
Shu Muto
python-troveclient
High
yuanying
zaqar
Medium
Md Nadeem

Bug Description

Because python creates pyc files during tox runs, certain changes in the tree, like deletes of files, or switching branches, can create spurious errors. This can be suppressed by PYTHONDONTWRITEBYTECODE=1 in the tox.ini.

Sean Dague (sdague) on 2014-09-12
Changed in nova:
status: New → Triaged
importance: Undecided → High
Changed in nova:
assignee: nobody → Sean Dague (sdague)
status: Triaged → In Progress
Changed in ironic:
assignee: nobody → Lucas Alvares Gomes (lucasagomes)
milestone: none → juno-rc1
importance: Undecided → Medium
Changed in ironic:
status: New → In Progress

Change abandoned by Sean Dague (<email address hidden>) on branch: master
Review: https://review.openstack.org/121044

Reviewed: https://review.openstack.org/121044
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=a2530ed1e3c59c9bae5cab48222eb69d7e35ca98
Submitter: Jenkins
Branch: master

commit a2530ed1e3c59c9bae5cab48222eb69d7e35ca98
Author: Sean Dague <email address hidden>
Date: Fri Sep 12 05:47:03 2014 -0400

    delete python bytecode before every test run

    Bring over the cleaning line from run_tests.sh for the pyc files to
    all the tox runs.

    This should eliminate the need to clean -x -i to kill pyc files in
    your local directory to get tests to pass.

    Closes-Bug: #1368661

    Change-Id: Idf3a46d8c95806f2d2ce28ce84ced12b625e53df

Changed in nova:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/121050
Committed: https://git.openstack.org/cgit/openstack/ironic/commit/?id=3aac5a199276a0fc713b9abd3593597d4c677320
Submitter: Jenkins
Branch: master

commit 3aac5a199276a0fc713b9abd3593597d4c677320
Author: Lucas Alvares Gomes <email address hidden>
Date: Fri Sep 12 12:04:50 2014 +0100

    Don't write python bytecode while testing

    This patch was based on the Nova patch:
    https://review.openstack.org/#/c/121044

    This should reduce the number of times you need to completely delete
    your tox dir because you have stale pyc files around.

    In Ironic we have hit this problem a number of times, migrating to
    oslo.message was a big one that caused a lot of confusion.

    Closes-Bug: #1368661
    Change-Id: I7dda3ad879beff1e494a36144c941a847177c2ef

Changed in ironic:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2014-10-01
Changed in nova:
milestone: none → juno-rc1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-10-03
Changed in ironic:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-10-16
Changed in nova:
milestone: juno-rc1 → 2014.2
Thierry Carrez (ttx) on 2014-10-16
Changed in ironic:
milestone: juno-rc1 → 2014.2

Reviewed: https://review.openstack.org/166246
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=cc86ef56f61a81031f7b9f177ee7d849404d7744
Submitter: Jenkins
Branch: stable/icehouse

commit cc86ef56f61a81031f7b9f177ee7d849404d7744
Author: Sean Dague <email address hidden>
Date: Fri Sep 12 05:47:03 2014 -0400

    delete python bytecode before every test run

    Bring over the cleaning line from run_tests.sh for the pyc files to
    all the tox runs.

    This should eliminate the need to clean -x -i to kill pyc files in
    your local directory to get tests to pass.

    Closes-Bug: #1368661

    Change-Id: Idf3a46d8c95806f2d2ce28ce84ced12b625e53df
    (cherry picked from commit a2530ed1e3c59c9bae5cab48222eb69d7e35ca98)

tags: added: in-stable-icehouse
Eli Qiao (taget-9) on 2015-09-06
Changed in magnum:
assignee: nobody → Eli Qiao (taget-9)
Changed in magnum:
status: New → In Progress

Reviewed: https://review.openstack.org/220773
Committed: https://git.openstack.org/cgit/openstack/magnum/commit/?id=d6efb3221e371e3a3a31edeba64db6f26606025a
Submitter: Jenkins
Branch: master

commit d6efb3221e371e3a3a31edeba64db6f26606025a
Author: Eli Qiao <email address hidden>
Date: Sun Sep 6 11:36:16 2015 +0800

    tox: rm all pyc before doing unit test

    Delete python bytecode before every test run.

    Because python creates pyc files during tox runs, certain
    changes in the tree, like deletes of files, or switching
    branches, can create spurious errors.

    Closes-Bug: #1368661
    Change-Id: I7e563875848acc7ec767f97b31fc8a95b23ee880

Changed in magnum:
status: In Progress → Fix Committed
yuanying (yuanying) on 2015-11-17
Changed in python-magnumclient:
assignee: nobody → yuanying (ootsuka)
Changed in magnum:
importance: Undecided → Medium
Changed in python-magnumclient:
importance: Undecided → Medium

Fix proposed to branch: master
Review: https://review.openstack.org/246057

Changed in python-magnumclient:
status: New → In Progress
yuanying (yuanying) on 2015-11-17
Changed in trove:
assignee: nobody → yuanying (ootsuka)

Fix proposed to branch: master
Review: https://review.openstack.org/246064

Changed in trove:
status: New → In Progress
yuanying (yuanying) on 2015-11-17
Changed in python-troveclient:
assignee: nobody → yuanying (ootsuka)

Fix proposed to branch: master
Review: https://review.openstack.org/246067

Changed in python-troveclient:
status: New → In Progress

Reviewed: https://review.openstack.org/246057
Committed: https://git.openstack.org/cgit/openstack/python-magnumclient/commit/?id=7703421ae422af3730fdc210baf89d0a06b6623a
Submitter: Jenkins
Branch: master

commit 7703421ae422af3730fdc210baf89d0a06b6623a
Author: OTSUKA, Yuanying <email address hidden>
Date: Tue Nov 17 09:52:13 2015 +0900

    Delete python bytecode before every test run

    Because python creates pyc files during tox runs, certain
    changes in the tree, like deletes of files, or switching
    branches, can create spurious errors.

    Change-Id: I77f144fc681eadcf8fd7fe735753090e3ebc6084
    Closes-Bug: #1368661

Changed in python-magnumclient:
status: In Progress → Fix Committed
Changed in trove:
importance: Undecided → High
Changed in python-troveclient:
importance: Undecided → High

Reviewed: https://review.openstack.org/246064
Committed: https://git.openstack.org/cgit/openstack/trove/commit/?id=c57f205a2a542d972ca717024769a3f86fefa06b
Submitter: Jenkins
Branch: master

commit c57f205a2a542d972ca717024769a3f86fefa06b
Author: OTSUKA, Yuanying <email address hidden>
Date: Tue Nov 17 10:08:28 2015 +0900

    Delete python bytecode before every test run

    Because python creates pyc files during tox runs, certain
    changes in the tree, like deletes of files, or switching
    branches, can create spurious errors.

    Change-Id: Id8798992dd71d9a7b16cba9e822bab236f0fcad7
    Closes-Bug: #1368661

Changed in trove:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/246067
Committed: https://git.openstack.org/cgit/openstack/python-troveclient/commit/?id=bf06ebff63fd092d75d9eaebe3c7c1091e6334c3
Submitter: Jenkins
Branch: master

commit bf06ebff63fd092d75d9eaebe3c7c1091e6334c3
Author: OTSUKA, Yuanying <email address hidden>
Date: Tue Nov 17 10:09:25 2015 +0900

    Delete python bytecode before every test run

    Because python creates pyc files during tox runs, certain
    changes in the tree, like deletes of files, or switching
    branches, can create spurious errors.

    Change-Id: I948892fb820f3d0583731627068ae3aa254121e7
    Closes-Bug: #1368661

Changed in python-troveclient:
status: In Progress → Fix Committed
Adrian Otto (aotto) on 2015-11-24
Changed in python-magnumclient:
status: Fix Committed → Fix Released
Adrian Otto (aotto) on 2015-11-24
Changed in magnum:
milestone: none → mitaka-2
status: Fix Committed → Fix Released
Adrian Otto (aotto) on 2015-11-24
Changed in magnum:
milestone: mitaka-2 → mitaka-1
Shuquan Huang (shuquan) on 2015-11-25
Changed in aodh:
assignee: nobody → Shuquan Huang (shuquan)

Fix proposed to branch: master
Review: https://review.openstack.org/249629

Changed in aodh:
status: New → In Progress
Julien Danjou (jdanjou) on 2015-11-25
no longer affects: aodh
Haiwei Xu (xu-haiwei) on 2015-12-02
Changed in monasca:
assignee: nobody → Haiwei Xu (xu-haiwei)

Fix proposed to branch: master
Review: https://review.openstack.org/252112

Changed in monasca:
status: New → In Progress
Kenji Yasui (k-yasui) on 2015-12-02
Changed in neutron:
assignee: nobody → Kenji Yasui (k-yasui)
Kenji Yasui (k-yasui) on 2015-12-02
no longer affects: neutron
Shu Muto (shu-mutou) on 2015-12-02
Changed in python-neutronclient:
assignee: nobody → Shu Muto (shu-mutou)
status: New → In Progress
Shu Muto (shu-mutou) on 2015-12-02
Changed in python-glanceclient:
assignee: nobody → Shu Muto (shu-mutou)
status: New → In Progress
Shu Muto (shu-mutou) on 2015-12-02
Changed in python-heatclient:
assignee: nobody → Shu Muto (shu-mutou)
status: New → In Progress
Shu Muto (shu-mutou) on 2015-12-02
Changed in python-keystoneclient:
assignee: nobody → Shu Muto (shu-mutou)
status: New → In Progress
Shu Muto (shu-mutou) on 2015-12-02
Changed in python-cinderclient:
assignee: nobody → Shu Muto (shu-mutou)
status: New → In Progress
Shu Muto (shu-mutou) on 2015-12-02
Changed in python-saharaclient:
assignee: nobody → Shu Muto (shu-mutou)
status: New → In Progress
Changed in zaqar:
assignee: nobody → MD NADEEM (mail2nadeem92)
Changed in python-zaqarclient:
assignee: nobody → MD NADEEM (mail2nadeem92)

Fix proposed to branch: master
Review: https://review.openstack.org/252181

Changed in python-zaqarclient:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/252185

Changed in zaqar:
status: New → In Progress
Shu Muto (shu-mutou) on 2015-12-02
Changed in python-senlinclient:
assignee: nobody → Shu Muto (shu-mutou)
status: New → In Progress
no longer affects: python-senlinclient
Shu Muto (shu-mutou) on 2015-12-02
Changed in python-swiftclient:
assignee: nobody → Shu Muto (shu-mutou)
status: New → In Progress
Shu Muto (shu-mutou) on 2015-12-02
Changed in python-ceilometerclient:
assignee: nobody → Shu Muto (shu-mutou)
status: New → In Progress
Brant Knudson (blk-u) on 2015-12-03
Changed in python-keystoneclient:
importance: Undecided → Low

Reviewed: https://review.openstack.org/252169
Committed: https://git.openstack.org/cgit/openstack/python-keystoneclient/commit/?id=7ca83ae8e7dbb869203531c589a1c3615e5b0c01
Submitter: Jenkins
Branch: master

commit 7ca83ae8e7dbb869203531c589a1c3615e5b0c01
Author: shu-mutou <email address hidden>
Date: Wed Dec 2 12:52:30 2015 +0900

    Delete python bytecode before every test run

    Because python creates pyc files during tox runs, certain
    changes in the tree, like deletes of files, or switching
    branches, can create spurious errors.

    Change-Id: Ib2af15b06f75b86edd4d7f7ca37695b85b12b311
    Closes-Bug: #1368661

Changed in python-keystoneclient:
status: In Progress → Fix Committed

Fix proposed to branch: master
Review: https://review.openstack.org/252781

Changed in ceilometer:
assignee: nobody → Liusheng (liusheng)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/252783

Changed in aodh:
assignee: nobody → Liusheng (liusheng)
status: New → In Progress
Changed in heat:
assignee: nobody → huangtianhua (huangtianhua)
importance: Undecided → Medium
milestone: none → mitaka-2
no longer affects: heat

Reviewed: https://review.openstack.org/252216
Committed: https://git.openstack.org/cgit/openstack/python-ceilometerclient/commit/?id=ce8957f04ffc5277645c59ab05232ead04373913
Submitter: Jenkins
Branch: master

commit ce8957f04ffc5277645c59ab05232ead04373913
Author: shu-mutou <email address hidden>
Date: Wed Dec 2 16:00:40 2015 +0900

    Delete python bytecode before every test run

    Because python creates pyc files during tox runs, certain
    changes in the tree, like deletes of files, or switching
    branches, can create spurious errors.

    Change-Id: Ia60baa319624e8ae5f833b6956323cf9e973d1b7
    Closes-Bug: #1368661

Changed in python-ceilometerclient:
status: In Progress → Fix Committed
Julien Danjou (jdanjou) on 2015-12-03
no longer affects: ceilometer
no longer affects: aodh
no longer affects: python-ceilometerclient
Akihiro Motoki (amotoki) on 2015-12-03
Changed in python-neutronclient:
importance: Undecided → Medium

This issue was fixed in the openstack/trove 5.0.0.0b1 development milestone.

Changed in trove:
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/252135
Committed: https://git.openstack.org/cgit/openstack/monasca-statsd/commit/?id=44eb02d77cc204d5e3ec5a9a85b852eb8f4f0394
Submitter: Jenkins
Branch: master

commit 44eb02d77cc204d5e3ec5a9a85b852eb8f4f0394
Author: Haiwei Xu <email address hidden>
Date: Wed Dec 2 10:45:14 2015 +0900

    Delete python bytecode before every test run

    Bring over the cleaning line from run_tests.sh for the pyc files to
    all the tox runs.

    This should eliminate the need to clean -x -i to kill pyc files in
    your local directory to get tests to pass.

    Change-Id: I5eb5d3a017ef752178073d7389961fd0ff4be4c4
    Closes-Bug: #1368661

Changed in monasca:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/252133
Committed: https://git.openstack.org/cgit/openstack/python-monascaclient/commit/?id=f0dd4ab87f8463c0f87f29bccf34cb3ed6ba7a64
Submitter: Jenkins
Branch: master

commit f0dd4ab87f8463c0f87f29bccf34cb3ed6ba7a64
Author: Haiwei Xu <email address hidden>
Date: Wed Dec 2 10:39:07 2015 +0900

    Delete python bytecode before every test run

    Bring over the cleaning line from run_tests.sh for the pyc files to
    all the tox runs.

    This should eliminate the need to clean -x -i to kill pyc files in
    your local directory to get tests to pass.

    Change-Id: I4e06e17e97c5416e1f9283d5f0a4f5d6338e1ce7
    Closes-Bug: #1368661

Reviewed: https://review.openstack.org/252122
Committed: https://git.openstack.org/cgit/openstack/monasca-notification/commit/?id=51b0b28a05318d82b393b387664d315961d31ecb
Submitter: Jenkins
Branch: master

commit 51b0b28a05318d82b393b387664d315961d31ecb
Author: Haiwei Xu <email address hidden>
Date: Wed Dec 2 10:03:08 2015 +0900

    Delete python bytecode before every test run

    Bring over the cleaning line from run_tests.sh for the pyc files to
    all the tox runs.

    This should eliminate the need to clean -x -i to kill pyc files in
    your local directory to get tests to pass.

    Change-Id: I3e1c53a26440aaff5dd92cd5381d71a1d411ebe8
    Closes-Bug: #1368661

Feilong Wang (flwang) on 2015-12-04
Changed in zaqar:
importance: Undecided → Medium
Changed in python-zaqarclient:
status: In Progress → Fix Committed
Changed in python-heatclient:
status: In Progress → Fix Committed
Changed in python-saharaclient:
status: In Progress → Fix Committed
Changed in python-cinderclient:
status: In Progress → Fix Committed
Anusha (anusha-iiitm) on 2015-12-07
Changed in congress:
assignee: nobody → Anusha (anusha-iiitm)
Changed in python-congressclient:
assignee: nobody → Anusha (anusha-iiitm)
Changed in mistral:
assignee: nobody → hardik (hardik-parekh047)
Changed in python-mistralclient:
assignee: nobody → hardik (hardik-parekh047)
Changed in congress:
status: New → In Progress
Changed in python-congressclient:
status: New → In Progress
Changed in mistral:
status: New → In Progress
Changed in mistral:
status: In Progress → Fix Released
Changed in congress:
status: In Progress → Fix Released
sonu (sonu-bhumca11) on 2015-12-08
Changed in oslo.service:
assignee: nobody → sonu (sonu-bhumca11)
Changed in ceilometer:
assignee: nobody → hardik (hardik-parekh047)
sonu (sonu-bhumca11) on 2015-12-09
Changed in oslo.service:
status: New → In Progress
Changed in python-solumclient:
assignee: nobody → sonu (sonu-bhumca11)
status: New → In Progress
sonu (sonu-bhumca11) on 2015-12-09
Changed in solum:
assignee: nobody → sonu (sonu-bhumca11)
status: New → In Progress
no longer affects: ceilometer
Changed in gnocchi:
assignee: nobody → hardik (hardik-parekh047)
Julien Danjou (jdanjou) on 2015-12-09
Changed in gnocchi:
status: New → Invalid
sonu (sonu-bhumca11) on 2015-12-10
Changed in oslo.service:
status: In Progress → Fix Committed
Changed in python-cinderclient:
status: Fix Committed → Fix Released
Changed in python-mistralclient:
status: New → Fix Committed
sonu (sonu-bhumca11) on 2015-12-11
Changed in python-cueclient:
assignee: nobody → sonu (sonu-bhumca11)
status: New → In Progress
sonu (sonu-bhumca11) on 2015-12-11
Changed in oslo.concurrency:
assignee: nobody → sonu (sonu-bhumca11)
status: New → In Progress
sonu (sonu-bhumca11) on 2015-12-11
Changed in oslo.log:
assignee: nobody → sonu (sonu-bhumca11)
status: New → In Progress
sonu (sonu-bhumca11) on 2015-12-11
Changed in oslo.cache:
assignee: nobody → sonu (sonu-bhumca11)
status: New → In Progress
Julien Danjou (jdanjou) on 2015-12-11
Changed in oslo.cache:
status: In Progress → Invalid
Changed in oslo.concurrency:
status: In Progress → Invalid
Changed in oslo.log:
status: In Progress → Invalid
Changed in python-swiftclient:
status: In Progress → Fix Released
Changed in python-cueclient:
status: In Progress → Fix Released
Sai Kiran (saikiran) on 2015-12-18
Changed in swift:
assignee: nobody → Sai Kiran (saikiran)
25 comments hidden view all 105 comments

This issue was fixed in the openstack/oslo.service 1.2.0 release.

Fix proposed to branch: master
Review: https://review.openstack.org/262217

Changed in swift:
status: New → In Progress

Reviewed: https://review.openstack.org/252185
Committed: https://git.openstack.org/cgit/openstack/zaqar/commit/?id=9471fcfdcb945003a890c3b3eb2e9872d67562c9
Submitter: Jenkins
Branch: master

commit 9471fcfdcb945003a890c3b3eb2e9872d67562c9
Author: Md Nadeem <email address hidden>
Date: Wed Dec 2 13:48:21 2015 +0900

    delete python bytecode before every test run

    Bring over the cleaning line from run_tests.sh for the pyc files to
    all the tox runs.

    This should eliminate the need to clean -x -i to kill pyc files in
    your local directory to get tests to pass.

    Change-Id: I62b9029b984300194a00318de9a0111791bab07e
    Closes-Bug: #1368661

Changed in zaqar:
status: In Progress → Fix Released

Change abandoned by sonu (<email address hidden>) on branch: master
Review: https://review.openstack.org/256258

Changed in oslo.log:
status: Invalid → In Progress

Change abandoned by sonu (<email address hidden>) on branch: master
Review: https://review.openstack.org/256247

Reviewed: https://review.openstack.org/254065
Committed: https://git.openstack.org/cgit/openstack/python-congressclient/commit/?id=a2393e7f7c71259f61d59e40bc34e86dc7aeaaf9
Submitter: Jenkins
Branch: master

commit a2393e7f7c71259f61d59e40bc34e86dc7aeaaf9
Author: Anusha Ramineni <email address hidden>
Date: Mon Dec 7 13:45:16 2015 +0530

    tox: rm all pyc before doing unit test

    Delete python bytecode before every test run.
    Because python creates pyc files during tox runs, certain
    changes in the tree, like deletes of files, or switching
    branches, can create spurious errors.

    Change-Id: I21ef6bf79fe5af41d3714e1d990898b267ae1fab
    Closes-Bug: #1368661

Changed in python-congressclient:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/252157
Committed: https://git.openstack.org/cgit/openstack/python-neutronclient/commit/?id=83d61566cee8b8e786b46103cf3e72fbe8077c1a
Submitter: Jenkins
Branch: master

commit 83d61566cee8b8e786b46103cf3e72fbe8077c1a
Author: shu-mutou <email address hidden>
Date: Wed Dec 2 12:19:19 2015 +0900

    Delete python bytecode before every test run

    Because python creates pyc|pyo files and __pycache__
    directories during tox runs, certain changes in the tree,
    like deletes of files, or switching branches, can create
    spurious errors.

    The target bytecodes for deletion are in normal directories,
    but not in dot started directory.

    Change-Id: Iee36c67d2e5e4d9e78b1b1b493030761e0f46e3c
    Closes-Bug: #1368661

Changed in python-neutronclient:
status: In Progress → Fix Released

This issue was fixed in the openstack/python-ceilometerclient 2.2.0 release.

This issue was fixed in the openstack/python-keystoneclient 2.1.0 release.

Changed in python-keystoneclient:
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/255108
Committed: https://git.openstack.org/cgit/openstack/solum/commit/?id=1cbe797f6c7728b6049c7a6d8542be4e37bed905
Submitter: Jenkins
Branch: master

commit 1cbe797f6c7728b6049c7a6d8542be4e37bed905
Author: sonu.kumar <email address hidden>
Date: Wed Dec 9 12:41:00 2015 +0530

    Delete python bytecode before every test run

    Change-Id: Ib9f62857ea5c7375c47f1a72a941af306501d4fe
    Closes-Bug: #1368661

Changed in solum:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/255105
Committed: https://git.openstack.org/cgit/openstack/python-solumclient/commit/?id=ea917357811986c94e006d8ba92e2cd0f2c7d916
Submitter: Jenkins
Branch: master

commit ea917357811986c94e006d8ba92e2cd0f2c7d916
Author: sonu.kumar <email address hidden>
Date: Wed Dec 9 12:34:04 2015 +0530

    Delete python bytecode before every test run

    Change-Id: I91dbe2a92d44d5a7b8b10eaa2b7ed5812d88fcb4
    Closes-Bug: #1368661

Changed in python-solumclient:
status: In Progress → Fix Released

This issue was fixed in the openstack/neutron-fwaas 8.0.0.0b2 development milestone.

This issue was fixed in the openstack/zaqar 2.0.0.0b2 development milestone.

This issue was fixed in the openstack/mistral 2.0.0.0b2 development milestone.

This issue was fixed in the openstack/python-heatclient 0.9.0 release.

This issue was fixed in the openstack/python-troveclient 2.0.0 release.

no longer affects: oslo.log

This issue was fixed in the openstack/python-saharaclient 0.12.0 release.

This issue was fixed in the openstack/python-mistralclient 2.0.0 release.

Changed in python-saharaclient:
milestone: none → 0.12.0
Changed in python-saharaclient:
importance: Undecided → Low
status: Fix Committed → Fix Released

This issue was fixed in the openstack/python-cinderclient 1.6.0 release.

This issue was fixed in the openstack/python-solumclient 2.0.0 release.

This issue was fixed in the openstack/solum 4.1.0 release.

This issue was fixed in the openstack/python-neutronclient 4.1.0 release.

This issue was fixed in the openstack/python-swiftclient 3.0.0 release.

This issue was fixed in the openstack/python-zaqarclient 1.0.0 release.

Reviewed: https://review.openstack.org/254276
Committed: https://git.openstack.org/cgit/openstack/swift/commit/?id=be54d0c928528cdc1b12e1bcb1614ea8859fae2e
Submitter: Jenkins
Branch: master

commit be54d0c928528cdc1b12e1bcb1614ea8859fae2e
Author: janonymous <email address hidden>
Date: Mon Dec 7 21:45:43 2015 +0530

    clear pycache and remove all pyc/pyo before starting unit test

    Delete python bytecode before every test run.
    Because python creates pyc files during tox runs, certain
    changes in the tree, like deletes of files, or switching
    branches, can create spurious errors.

    Closes-Bug: #1368661
    Change-Id: Iedcb400fa3b0417f5bb8e943b17758fcfb4070c6

Changed in swift:
status: In Progress → Fix Released

This issue was fixed in the openstack/swift 2.7.0 release.

Download full text (37.8 KiB)

Reviewed: https://review.openstack.org/299944
Committed: https://git.openstack.org/cgit/openstack/swift/commit/?id=77c181161a029ba8cea5d1ce65f979fe4b23ff37
Submitter: Jenkins
Branch: feature/crypto

commit 59bbe27fb0a40236108f09c9b3349e8faef0a95c
Author: Nguyen Hung Phuong <email address hidden>
Date: Wed Mar 30 11:07:46 2016 +0700

    Fix typos in Swift files

    Change-Id: I34e0c9a888127704ac1910e73ddd14e27ebade13

commit 7be55acf1bc4aa07d81b30fd93e144700889898d
Author: Tim Burke <email address hidden>
Date: Thu Feb 11 16:00:38 2016 -0800

    Simplify policy-name validation slightly

    _validate_policy_name always either returns True or raises an exception.
    Simplify it to just being a callable that may raise an exception.

    Also, move the check for blank/None names into _validate_policy_name, so
    it will be applied in more cases.

    Change-Id: I7832a0c9c895cd75ba4c6d0e8b5568a3c8a0ea25

commit 5902015fa8495ec0ef3c1ab92ae9a34c5bda4334
Author: OpenStack Proposal Bot <email address hidden>
Date: Sat Mar 26 06:35:18 2016 +0000

    Imported Translations from Zanata

    For more information about this automatic import see:
    https://wiki.openstack.org/wiki/Translations/Infrastructure

    Change-Id: I3b5d401649fa3dea6dc43654516f7075bb06ee0d

commit 2f7d0f4a2ad2da7e6a35e5b054a47a2fafe5ed01
Author: Anh Tran <email address hidden>
Date: Fri Mar 25 11:44:26 2016 +0700

    Removing some redundant words

    This patch removes some redundant words.

    Change-Id: Ia79717664b06ed9a41c3c5dcf1a25e9e49e21cf2

commit 925546ae8a211b50cf7fad6634d47fd1dbfeb58e
Author: OpenStack Proposal Bot <email address hidden>
Date: Fri Mar 25 06:36:40 2016 +0000

    Imported Translations from Zanata

    For more information about this automatic import see:
    https://wiki.openstack.org/wiki/Translations/Infrastructure

    Change-Id: I6ba2f35913e6ae83607b5e268645432d455d587c

commit 3407d737c705a7afedeed0159588ab4433a601f3
Author: David Liu <email address hidden>
Date: Thu Mar 24 16:08:19 2016 +0800

    Handle tempurl Content-Disposition header missing from HEAD

    Content-Disposition headers should make no difference between
    GET and HEAD according to HTTP rfc.

    Closes-Bug: #1539805

    Change-Id: Ifa41a7cda2f321eb8e36420ede7912ed0a549712

commit 2f24fb9683a57b67348d65864d5af8c3a03dee67
Author: Alistair Coles <email address hidden>
Date: Wed Mar 23 20:49:50 2016 +0000

    Check marker params in SimpleClient full listing requests

    Follow up for change [1] to add some assertions to check that
    marker param is included in sequential GET requests sent during
    a full listing.

    Extract multiple FakeConn class definitions to single class at
    module level and share between all classes.

    Also, explicitly unpack the return values from base request calls
    made in the full listing section of base_request, and explicitly
    return a list to make more consistent with rest of the method.

    [1] Change-Id: I6892390d72f70f1bc519b482d4f72603e1570163

    Change-Id: Iad038709f46364b8324d25ac79be4317add79df...

tags: added: in-feature-crypto

Reviewed: https://review.openstack.org/296568
Committed: https://git.openstack.org/cgit/openstack/python-neutronclient/commit/?id=2e0d641a5542865a8104424a49395af8b28e179c
Submitter: Jenkins
Branch: stable/kilo

commit 2e0d641a5542865a8104424a49395af8b28e179c
Author: shu-mutou <email address hidden>
Date: Wed Dec 2 12:19:19 2015 +0900

    Delete python bytecode before every test run

    Because python creates pyc|pyo files and __pycache__
    directories during tox runs, certain changes in the tree,
    like deletes of files, or switching branches, can create
    spurious errors.

    The target bytecodes for deletion are in normal directories,
    but not in dot started directory.

    Change-Id: Iee36c67d2e5e4d9e78b1b1b493030761e0f46e3c
    Closes-Bug: #1368661
    (cherry picked from commit 83d61566cee8b8e786b46103cf3e72fbe8077c1a)

tags: added: in-stable-kilo

Reviewed: https://review.openstack.org/296567
Committed: https://git.openstack.org/cgit/openstack/python-neutronclient/commit/?id=714055857fa669f8fa57056f22bafde2686727c7
Submitter: Jenkins
Branch: stable/liberty

commit 714055857fa669f8fa57056f22bafde2686727c7
Author: shu-mutou <email address hidden>
Date: Wed Dec 2 12:19:19 2015 +0900

    Delete python bytecode before every test run

    Because python creates pyc|pyo files and __pycache__
    directories during tox runs, certain changes in the tree,
    like deletes of files, or switching branches, can create
    spurious errors.

    The target bytecodes for deletion are in normal directories,
    but not in dot started directory.

    Change-Id: Iee36c67d2e5e4d9e78b1b1b493030761e0f46e3c
    Closes-Bug: #1368661
    (cherry picked from commit 83d61566cee8b8e786b46103cf3e72fbe8077c1a)

tags: added: in-stable-liberty
Download full text (84.7 KiB)

Reviewed: https://review.openstack.org/323599
Committed: https://git.openstack.org/cgit/openstack/swift/commit/?id=0330478b70d0a699a0f9c21ef87c7e639d92564b
Submitter: Jenkins
Branch: feature/hummingbird

commit 5fe392b562de3baed080704df433fb392cb4fb31
Author: Ondřej Nový <email address hidden>
Date: Tue May 31 16:25:50 2016 +0200

    Fixed typo

    Change-Id: I7a35c0076360c7a23cf405189828d3c252ec6708

commit b52eccb3b1ea0591f0040587228d3705b5d3f68d
Author: Clay Gerrard <email address hidden>
Date: Wed May 25 11:21:25 2016 -0700

    Clarify overload best practices in admin guide

    Change-Id: Ib7c08bdeab6374771bb8e2b05053e7e16973524d

commit f1fd50723bb84c4941e949895576733f6eb67793
Author: Christian Schwede <email address hidden>
Date: Wed May 25 09:53:31 2016 +0200

    Add dispersion --verbose example to admin guide

    Change-Id: I5f9cacedde2a329332ccf744800b6f2453e8b28e

commit b3ab715c055283ccfea9a504d6da20741d82e7ad
Author: Matthew Oliver <email address hidden>
Date: Wed May 25 14:35:54 2016 +1000

    Add ring-builder dispersion command to admin guide

    This change updates the admin guide to point out the dispersion command
    in swift-ring-builder and mentions the dispersion verbose table to make
    it more obvious to operators.

    Change-Id: I72b4c8b2d718e6063de0fdabbaf4f2b73694e0a4

commit fb7a8e9ab7596a36a6992a3a8f8c6d005a2c2829
Author: Tim Burke <email address hidden>
Date: Tue May 24 13:37:58 2016 -0700

    Add links to mitaka install guides

    Change-Id: I62331923751c521daded4468b5cc5f03655226bc

commit e09c4ee7800e82aa09ca2f6ae375420b766182a4
Author: Tim Burke <email address hidden>
Date: Fri Apr 29 12:12:00 2016 -0500

    Allow concurrent bulk deletes

    Before, server-side deletes of static large objects could take a long
    time to complete since the proxy would wait for a response to each
    segment DELETE before starting the next DELETE request.

    Now, operators can configure a concurrency factor for the slo and bulk
    middlewares to allow up to N concurrent DELETE requests. By default, two
    DELETE requests will be allowed at a time.

    Note that objects and containers are now deleted in separate passes, to
    reduce the likelihood of 409 Conflict responses when deleting
    containers.

    Upgrade Consideration
    =====================
    If operators have enabled the bulk or slo middlewares and would like to
    preserve the prior (single-threaded) DELETE behavior, they must add the
    following line to their [filter:slo] and [filter:bulk] proxy config
    sections:

       delete_concurrency = 1

    This may be done prior to upgrading Swift.

    UpgradeImpact
    Closes-Bug: 1524454
    Change-Id: I128374d74a4cef7a479b221fd15eec785cc4694a

commit 226557afc42c245e050d84162497f46341407ef7
Author: Tim Burke <email address hidden>
Date: Thu May 19 18:55:40 2016 -0700

    Turn on H703, so our translators don't punch us

    Change-Id: I4ce3068f79563e4d4296c6e1078bc12f0cf84c96
    Related-Bug: 1559431

commit 7b706926a8ed5bbcec3a678e868e301c9a6ed8f1
Author: Alistair Coles <email address hidden>
Date: Mon May ...

tags: added: in-feature-hummingbird
Changed in oslo.service:
status: Fix Committed → Fix Released
Changed in python-heatclient:
importance: Undecided → Medium
milestone: none → 1.3.0

This issue was fixed in the openstack/python-cinderclient 1.6.0 release.

This issue was fixed in the openstack/python-mistralclient 2.0.0 release.

This issue was fixed in the openstack/python-swiftclient 3.0.0 release.

This issue was fixed in the openstack/python-zaqarclient 1.0.0 release.

This issue was fixed in the openstack/swift 2.7.0 release.

Bug was fixed more than a year ago https://review.openstack.org/#/c/254084/

Changed in python-mistralclient:
status: Fix Committed → Fix Released
wangxiyuan (wangxiyuan) on 2017-05-18
Changed in python-zaqarclient:
status: Fix Committed → Fix Released
Zhao Chao (zhaochao1984) on 2018-02-11
Changed in python-troveclient:
status: Fix Committed → Fix Released
Displaying first 40 and last 40 comments. View all 105 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers